## stats uncertainty stats uncertainty — Uncertainties of statistical functions |

## Functions

gdouble | gwy_data_field_get_max_uncertainty ()
gdouble | gwy_data_field_area_get_max_uncertainty ()
gdouble | gwy_data_field_get_min_uncertainty ()
gdouble | gwy_data_field_area_get_min_uncertainty ()
void | gwy_data_field_get_min_max_uncertainty ()
void | gwy_data_field_area_get_min_max_uncertainty ()
void | gwy_data_field_area_get_min_max_uncertainty_mask ()
gdouble | gwy_data_field_get_avg_uncertainty ()
gdouble | gwy_data_field_area_get_avg_uncertainty ()
gdouble | gwy_data_field_area_get_avg_uncertainty_mask ()
gdouble | gwy_data_field_get_rms_uncertainty ()
gdouble | gwy_data_field_area_get_rms_uncertainty ()
gdouble | gwy_data_field_area_get_rms_uncertainty_mask ()
void | gwy_data_field_get_stats_uncertainties ()
void | gwy_data_field_area_get_stats_uncertainties ()
void | gwy_data_field_area_get_stats_uncertainties_mask ()
void | gwy_data_field_area_acf_uncertainty ()
void | gwy_data_field_acf_uncertainty ()
void | gwy_data_field_area_hhcf_uncertainty ()
void | gwy_data_field_hhcf_uncertainty ()
gdouble | gwy_data_field_get_surface_area_uncertainty ()
gdouble | gwy_data_field_area_get_surface_area_uncertainty ()
gdouble | gwy_data_field_area_get_surface_area_mask_uncertainty ()
gdouble | gwy_data_field_area_get_median_uncertainty ()
gdouble | gwy_data_field_area_get_median_uncertainty_mask ()
gdouble | gwy_data_field_get_median_uncertainty ()
void | gwy_data_field_area_dh_uncertainty ()
void | gwy_data_field_dh_uncertainty ()
void | gwy_data_field_area_get_normal_coeffs_uncertainty ()
void | gwy_data_field_get_normal_coeffs_uncertainty ()
void | gwy_data_field_area_get_inclination_uncertainty ()
void | gwy_data_field_get_inclination_uncertainty ()
gdouble | gwy_data_field_area_get_projected_area_uncertainty ()
void | gwy_data_field_area_cdh_uncertainty ()
void | gwy_data_field_cdh_uncertainty ()
gdouble | gwy_data_field_get_xder_uncertainty ()
gdouble | gwy_data_field_get_yder_uncertainty ()
void | gwy_data_line_acf_uncertainty ()
void | gwy_data_line_cumulate_uncertainty ()
void | gwy_data_line_hhcf_uncertainty ()

## Includes

    #include <libprocess/gwyprocess.h>

## Description

## Functions

### gwy_data_field_get_max_uncertainty ()

    gdouble
    gwy_data_field_get_max_uncertainty (GwyDataField *data_field,
                                        GwyDataField *uncz_field);

Finds the uncertainty of the maximum value of a data field.

Note that this is not the uncertainty arising from the calculation of the maximum. It is just the uncertainty of the single value that happens to be the data maximum. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |

#### Returns

The uncertainty of the maximum value.

Since: 2.23

### gwy_data_field_area_get_max_uncertainty ()

    gdouble
    gwy_data_field_area_get_max_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Finds the uncertainty of the maximum value in a rectangular part of a data field.

Note that this is not the uncertainty arising from the calculation of the maximum. It is just the uncertainty of the single value that happens to be the data maximum. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of the maximum value. When the number of samples to calculate maximum of is zero, `G_MAXDOUBLE` is returned.

Since: 2.23

### gwy_data_field_get_min_uncertainty ()

    gdouble
    gwy_data_field_get_min_uncertainty (GwyDataField *data_field,
                                        GwyDataField *uncz_field);

Finds the uncertainty of the minimum value of a data field.

Note that this is not the uncertainty arising from the calculation of the minimum. It is just the uncertainty of the single value that happens to be the data minimum. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |

#### Returns

The uncertainty of the minimum value.

Since: 2.23

### gwy_data_field_area_get_min_uncertainty ()

    gdouble
    gwy_data_field_area_get_min_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Finds the uncertainty of the minimum value in a rectangular part of a data field.

Note that this is not the uncertainty arising from the calculation of the minimum. It is just the uncertainty of the single value that happens to be the data minimum. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of the minimum value. When the number of samples to calculate minimum of is zero, `G_MAXDOUBLE` is returned.

Since: 2.23

### gwy_data_field_get_min_max_uncertainty ()

    void
    gwy_data_field_get_min_max_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    gdouble *min_unc,
                                    gdouble *max_unc);

Finds minimum and maximum values of a data field.

Note that this is not the uncertainty arising from the calculation of the minimum and maximum. It is just the uncertainty of the two values that happen to be the data minimum and maximum. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
min_unc | Location to store uncertainty of minimum to. |
max_unc | Location to store uncertainty maximum to. |

Since: 2.23

### gwy_data_field_area_get_min_max_uncertainty ()

    void
    gwy_data_field_area_get_min_max_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height,
                                    gdouble *min_unc,
                                    gdouble *max_unc);

Finds uncertainties of the minimum and maximum values in a rectangular part of a data field.

This function is equivalent to calling `gwy_data_field_area_get_min_max_uncertainty_mask()` with masking mode `GWY_MASK_INCLUDE`.

Note that this is not the uncertainty arising from the calculation of the minimum and maximum. It is just the uncertainty of the two values that happen to be the data minimum and maximum. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
min_unc | Location to store uncertainty of minimum to. |
max_unc | Location to store uncertainty of maximum to. |

Since: 2.23

### gwy_data_field_area_get_min_max_uncertainty_mask ()

    void
    gwy_data_field_area_get_min_max_uncertainty_mask
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height,
                                    gdouble *min_unc,
                                    gdouble *max_unc);

Finds the uncertainties of the minimum and maximum values in a rectangular part of a data field.

Note that this is not the uncertainty arising from the calculation of the minimum and maximum. It is just the uncertainty of the two values that happen to be the data minimum and maximum. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode to use. See the introduction for description of masking modes. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
min_unc | Location to store uncertainty of minimum to. |
max_unc | Location to store uncertainty of maximum to. |

Since: 2.23

### gwy_data_field_get_avg_uncertainty ()

    gdouble
    gwy_data_field_get_avg_uncertainty (GwyDataField *data_field,
                                        GwyDataField *uncz_field);

Computes the uncertainty of the average value of a data field.

#### Parameters

data_field | A data field |
uncz_field | The corresponding uncertainty data field |

#### Returns

The uncertainty of the average value.

Since: 2.23

### gwy_data_field_area_get_avg_uncertainty ()

    gdouble
    gwy_data_field_area_get_avg_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes the uncertainty of the average value of a rectangular part of a data field.

This function is equivalent to calling ``gwy_data_field_area_get_avg_uncertainty_mask()`` with masking mode `GWY_MASK_INCLUDE`.

#### Parameters

data_field | A data field |
uncz_field | The corresponding uncertainty data field |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of the average value.

Since: 2.23

### gwy_data_field_area_get_avg_uncertainty_mask ()

    gdouble
    gwy_data_field_area_get_avg_uncertainty_mask
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes the uncertainty of the average value of a rectangular part of a data field.

#### Parameters

data_field | A data field |
uncz_field | The corresponding uncertainty data field |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode to use. See the introduction for description of masking modes. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of the average value.

Since: 2.23

### gwy_data_field_get_rms_uncertainty ()

    gdouble
    gwy_data_field_get_rms_uncertainty (GwyDataField *data_field,
                                        GwyDataField *uncz_field);

Computes uncertainty of root mean square value of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |

#### Returns

The uncertainty of the root mean square value.

### gwy_data_field_area_get_rms_uncertainty ()

    gdouble
    gwy_data_field_area_get_rms_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes uncertainty of root mean square value of a rectangular part of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of root mean square value.

This function is equivalent to calling ``gwy_data_field_area_get_rms_uncertainty_mask()`` with masking mode `GWY_MASK_INCLUDE`.

Since: 2.23

### gwy_data_field_area_get_rms_uncertainty_mask ()

    gdouble
    gwy_data_field_area_get_rms_uncertainty_mask
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes uncertainty of root mean square value of deviations of a rectangular part of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode to use. See the introduction for description of masking modes. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of root mean square value of deviations from the mean value.

Since: 2.23

### gwy_data_field_get_stats_uncertainties ()

    void
    gwy_data_field_get_stats_uncertainties
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    gdouble *avg_unc,
                                    gdouble *ra_unc,
                                    gdouble *rms_unc,
                                    gdouble *skew_unc,
                                    gdouble *kurtosis_unc);

Computes the uncertainties of the basic statistical quantities of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
avg_unc | Where uncertainty of average height value of the surface should be stored, or `NULL`. |
ra_unc | Where uncertainty of average value of irregularities should be stored, or `NULL`. |
rms_unc | Where uncertainty of root mean square value of irregularities (Rq) should be stored, or `NULL`. |
skew_unc | Where uncertainty of skew (symmetry of height distribution) should be stored, or `NULL`. |
kurtosis_unc | Where uncertainty of kurtosis (peakedness of height ditribution) should be stored, or `NULL`. |

Since: 2.23

### gwy_data_field_area_get_stats_uncertainties ()

    void
    gwy_data_field_area_get_stats_uncertainties
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height,
                                    gdouble *avg_unc,
                                    gdouble *ra_unc,
                                    gdouble *rms_unc,
                                    gdouble *skew_unc,
                                    gdouble *kurtosis_unc);

Computes the uncertainties of the basic statistical quantities of a rectangular part of a data field.

This function is equivalent to calling ``gwy_data_field_area_get_stats_uncertainties_mask()`` with masking mode `GWY_MASK_INCLUDE`.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
avg_unc | Where uncertainty of average height value of the surface should be stored, or `NULL`. |
ra_unc | Where uncertainty of average value of irregularities should be stored, or `NULL`. |
rms_unc | Where uncertainty of root mean square value of irregularities (Rq) should be stored, or `NULL`. |
skew_unc | Where uncertainty of skew (symmetry of height distribution) should be stored, or `NULL`. |
kurtosis_unc | Where uncertainty of kurtosis (peakedness of height ditribution) should be stored, or `NULL`. |

Since: 2.23

### gwy_data_field_area_get_stats_uncertainties_mask ()

    void
    gwy_data_field_area_get_stats_uncertainties_mask
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height,
                                    gdouble *avg_unc,
                                    gdouble *ra_unc,
                                    gdouble *rms_unc,
                                    gdouble *skew_unc,
                                    gdouble *kurtosis_unc);

Computes the uncertainties of the basic statistical quantities of a rectangular part of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode to use. See the introduction for description of masking modes. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
avg_unc | Where uncertainty of average height value of the surface should be stored, or `NULL`. |
ra_unc | Where uncertainty of average value of irregularities should be stored, or `NULL`. |
rms_unc | Where uncertainty of root mean square value of irregularities (Rq) should be stored, or `NULL`. |
skew_unc | Where uncertainty of skew (symmetry of height distribution) should be stored, or `NULL`. |
kurtosis_unc | Where uncertainty of kurtosis (peakedness of height ditribution) should be stored, or `NULL`. |

Since: 2.23

### gwy_data_field_area_acf_uncertainty ()

    void
    gwy_data_field_area_acf_uncertainty (GwyDataField *data_field,
                                         GwyDataField *uncz_field,
                                         GwyDataLine *target_line,
                                         gint col,
                                         gint row,
                                         gint width,
                                         gint height,
                                         GwyOrientation orientation,
                                         GwyInterpolationType interpolation,
                                         gint nstats);

Calculates the uncertainty of the one-dimensional autocorrelation function of a rectangular part of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
target_line | A data line to store the uncertainties of the distribution to. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
orientation | Orientation of lines (ACF is simply averaged over the other orientation). |
interpolation | Interpolation to use when `nstats` is given and requires resampling. |
nstats | The number of samples to take on the distribution function. If nonpositive, `width` (`height` ) is used. |

Since: 2.23

### gwy_data_field_acf_uncertainty ()

    void
    gwy_data_field_acf_uncertainty (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataLine *target_line,
                                    GwyOrientation orientation,
                                    GwyInterpolationType interpolation,
                                    gint nstats);

Calculates uncertainty of one-dimensional autocorrelation function of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
target_line | A data line to store the uncertainties of the distribution to. |
orientation | Orientation of lines (ACF is simply averaged over the other orientation). |
interpolation | Interpolation to use when `nstats` is given and requires resampling. |
nstats | The number of samples the resulting line should have. |

Since: 2.23

### gwy_data_field_area_hhcf_uncertainty ()

    void
    gwy_data_field_area_hhcf_uncertainty (GwyDataField *data_field,
                                          GwyDataField *uncz_field,
                                          GwyDataLine *target_line,
                                          gint col,
                                          gint row,
                                          gint width,
                                          gint height,
                                          GwyOrientation orientation,
                                          GwyInterpolationType interpolation,
                                          gint nstats);

Calculates uncertainty of the one-dimensional autocorrelation function of a rectangular part of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
target_line | A data line to store the distribution to. It will be resampled to requested width. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
orientation | Orientation of lines (HHCF is simply averaged over the other orientation). |
interpolation | Interpolation to use when `nstats` is given and requires resampling. |
nstats | The number of samples the resulting line should have. |

Since: 2.23

### gwy_data_field_hhcf_uncertainty ()

    void
    gwy_data_field_hhcf_uncertainty (GwyDataField *data_field,
                                     GwyDataField *uncz_field,
                                     GwyDataLine *target_line,
                                     GwyOrientation orientation,
                                     GwyInterpolationType interpolation,
                                     gint nstats);

Calculates uncertainty of one-dimensional autocorrelation function of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
target_line | A data line to store the distribution to. It will be resampled to requested width. |
orientation | Orientation of lines (HHCF is simply averaged over the other orientation). |
interpolation | Interpolation to use when `nstats` is given and requires resampling. |
nstats | The number of samples the resulting line should have. |

Since: 2.23

### gwy_data_field_get_surface_area_uncertainty ()

    gdouble
    gwy_data_field_get_surface_area_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field);

Computes uncertainty of surface area of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
uncx_field | The uncertainty in the x direction. |
uncy_field | The uncertainty in the y direction. |

#### Returns

uncertainty of surface area

Since: 2.23

### gwy_data_field_area_get_surface_area_uncertainty ()

    gdouble
    gwy_data_field_area_get_surface_area_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field,
                                    GwyDataField *mask,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes uncertainty of surface area of a rectangular part of a data field.

This function is equivalent to calling ``gwy_data_field_area_get_surface_area_mask()`` with masking mode `GWY_MASK_INCLUDE`.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
uncx_field | The uncertainty in the x direction. |
uncy_field | The uncertainty in the y direction. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of surface area.

Since: 2.23

### gwy_data_field_area_get_surface_area_mask_uncertainty ()

    gdouble
    gwy_data_field_area_get_surface_area_mask_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes uncertainty of surface area of a rectangular part of a data field.

This quantity makes sense only if the lateral dimensions and values of `data_field` are the same physical quantities.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty data field. |
uncx_field | The uncertainty in the x direction. |
uncy_field | The uncertainty in the y direction. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode to use. See the introduction for description of masking modes. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of the surface area.

Since: 2.23

### gwy_data_field_area_get_median_uncertainty ()

    gdouble
    gwy_data_field_area_get_median_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes uncertainty of median value of a data field area.

This function is equivalent to calling ``gwy_data_field_area_get_median_uncertainty_mask()`` with masking mode `GWY_MASK_INCLUDE`.

Note that this is not the uncertainty arising from the calculation of the median. It is just the uncertainty of the single value that happens to be the data median. As such, the function is not very useful.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty field |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of the median value.

Since: 2.23

### gwy_data_field_area_get_median_uncertainty_mask ()

    gdouble
    gwy_data_field_area_get_median_uncertainty_mask
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *mask,
                                    GwyMaskingType mode,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height);

Computes uncertainty of median value of a data field area.

Note that this is not the uncertainty arising from the calculation of the median. It is just the uncertainty of the single value that happens to be the data median.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty field |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
mode | Masking mode to use. See the introduction for description of masking modes. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |

#### Returns

The uncertainty of the median value.

Since: 2.23

### gwy_data_field_get_median_uncertainty ()

    gdouble
    gwy_data_field_get_median_uncertainty (GwyDataField *data_field,
                                           GwyDataField *uncz_field);

Computes uncertainty of median value of a data field.

#### Parameters

data_field | A data field. |
uncz_field | The corresponding uncertainty field |

#### Returns

The uncertainty of the median value.

Since: 2.23

### gwy_data_field_area_dh_uncertainty ()

    void
    gwy_data_field_area_dh_uncertainty (GwyDataField *data_field,
                                        GwyDataField *uncz_field,
                                        GwyDataField *mask,
                                        GwyDataLine *target_line,
                                        gint col,
                                        gint row,
                                        gint width,
                                        gint height,
                                        gint nstats);

Calculates uncertainty of distribution of heights in a rectangular part of data field.

#### Parameters

data_field | A data field. |
uncz_field | Corresponding uncertainty field |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
target_line | A data line to store the distribution to. It will be resampled to requested width. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
nstats | The number of samples to take on the distribution function. If nonpositive, a suitable resolution is determined automatically. |

Since: 2.23

### gwy_data_field_dh_uncertainty ()

    void
    gwy_data_field_dh_uncertainty (GwyDataField *data_field,
                                   GwyDataField *uncz_field,
                                   GwyDataLine *target_line,
                                   gint nstats);

Calculates uncertainty of distribution of heights in a data field.

#### Parameters

data_field | A data field. |
uncz_field | Corresponding uncertainty field |
target_line | A data line to store the distribution to. It will be resampled to requested width. |
nstats | The number of samples to take on the distribution function. If nonpositive, a suitable resolution is determined automatically. |

Since: 2.23

### gwy_data_field_area_get_normal_coeffs_uncertainty ()

    void
    gwy_data_field_area_get_normal_coeffs_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height,
                                    gdouble *nx,
                                    gdouble *ny,
                                    gdouble *nz,
                                    gdouble *ux,
                                    gdouble *uy,
                                    gdouble *uz);

Computes squared uncertainty of average normal vector of an area of a data field.

#### Parameters

data_field | A data field. |
uncz_field | Corresponding uncertainty field. |
uncx_field | The uncertainty in the x direction. |
uncy_field | The uncertainty in the y direction. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
nx | Where x-component of average normal vector should be stored, or `NULL`. |
ny | Where y-component of average normal vector should be stored, or `NULL`. |
nz | Where z-component of average normal vector should be stored, or `NULL`. |
ux | Where uncertainty of x-component of average normal vector should be stored, or `NULL`. |
uy | Where uncertainty of y-component of average normal vector should be stored, or `NULL`. |
uz | Where uncertainty of z-component of average normal vector should be stored, or `NULL`. |

Since: 2.23

### gwy_data_field_get_normal_coeffs_uncertainty ()

    void
    gwy_data_field_get_normal_coeffs_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field,
                                    gdouble *nx,
                                    gdouble *ny,
                                    gdouble *nz,
                                    gdouble *ux,
                                    gdouble *uy,
                                    gdouble *uz);

Computes squared uncertainty of average normal vector of a data field.

#### Parameters

data_field | A data field. |
uncz_field | Corresponding uncertainty field. |
uncx_field | Corresponding uncertainty field. |
uncy_field | Corresponding uncertainty field. |
nx | Where x-component of average normal vector should be stored, or `NULL`. |
ny | Where y-component of average normal vector should be stored, or `NULL`. |
nz | Where z-component of average normal vector should be stored, or `NULL`. |
ux | Where x-component of uncertainty of the normal vector should be stored, or `NULL`. |
uy | Where y-component of uncertainty of the normal vector should be stored, or `NULL`. |
uz | Where z-component of uncertainty of the normal vector should be stored, or `NULL`. |

Since: 2.23

### gwy_data_field_area_get_inclination_uncertainty ()

    void
    gwy_data_field_area_get_inclination_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field,
                                    gint col,
                                    gint row,
                                    gint width,
                                    gint height,
                                    gdouble *utheta,
                                    gdouble *uphi);

Calculates the uncertainty of the inclination of the image (polar and azimuth angle).

#### Parameters

data_field | A data field. |
uncz_field | Corresponding uncertainty field. |
uncx_field | Corresponding uncertainty field. |
uncy_field | Corresponding uncertainty field. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
utheta | Where theta angle (in radians) should be stored, or `NULL`. |
uphi | Where phi angle (in radians) should be stored, or `NULL`. |

Since: 2.23

### gwy_data_field_get_inclination_uncertainty ()

    void
    gwy_data_field_get_inclination_uncertainty
                                   (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field,
                                    gdouble *utheta,
                                    gdouble *uphi);

Calculates the uncertainty of the inclination of the image (polar and azimuth angle).

#### Parameters

data_field | A data field. |
uncz_field | Corresponding uncertainty field. |
uncx_field | Corresponding uncertainty field. |
uncy_field | Corresponding uncertainty field. |
utheta | Where theta angle (in radians) should be stored, or `NULL`. |
uphi | Where phi angle (in radians) should be stored, or `NULL`. |

Since: 2.23

### gwy_data_field_area_get_projected_area_uncertainty ()

    gdouble
    gwy_data_field_area_get_projected_area_uncertainty
                                   (gint nn,
                                    GwyDataField *uncx_field,
                                    GwyDataField *uncy_field);

### gwy_data_field_area_cdh_uncertainty ()

    void
    gwy_data_field_area_cdh_uncertainty (GwyDataField *data_field,
                                         GwyDataField *uncz_field,
                                         GwyDataField *mask,
                                         GwyDataLine *target_line,
                                         gint col,
                                         gint row,
                                         gint width,
                                         gint height,
                                         gint nstats);

Calculates uncertainty of the cumulative distribution of heights in a rectangular part of the data field.

#### Parameters

data_field | A data field. |
mask | Mask specifying which values to take into account/exclude, or `NULL`. |
uncz_field | Corresponding uncertainty data field. |
target_line | A data line to store the distribution to. It will be resampled to requested width. |
col | Upper-left column coordinate. |
row | Upper-left row coordinate. |
width | Area width (number of columns). |
height | Area height (number of rows). |
nstats | The number of samples to take on the distribution function. If nonpositive, a suitable resolution is determined automatically. |

Since: 2.23

### gwy_data_field_cdh_uncertainty ()

    void
    gwy_data_field_cdh_uncertainty (GwyDataField *data_field,
                                    GwyDataField *uncz_field,
                                    GwyDataLine *target_line,
                                    gint nstats);

Calculates uncertainty of the cumulative distribution of heights in a data field.

#### Parameters

data_field | A data field. |
uncz_field | Corresponding uncertainty data field. |
target_line | A data line to store the distribution to. It will be resampled to requested width. |
nstats | The number of samples to take on the distribution function. If nonpositive, a suitable resolution is determined automatically. |

Since: 2.23

### gwy_data_field_get_xder_uncertainty ()

    gdouble
    gwy_data_field_get_xder_uncertainty (GwyDataField *data_field,
                                         GwyDataField *uncz_field,
                                         GwyDataField *uncx_field,
                                         GwyDataField *uncy_field,
                                         gint col,
                                         gint row);

### gwy_data_field_get_yder_uncertainty ()

    gdouble
    gwy_data_field_get_yder_uncertainty (GwyDataField *data_field,
                                         GwyDataField *uncz_field,
                                         GwyDataField *uncx_field,
                                         GwyDataField *uncy_field,
                                         gint col,
                                         gint row);

### gwy_data_line_acf_uncertainty ()

    void
    gwy_data_line_acf_uncertainty (GwyDataLine *data_line,
                                   GwyDataLine *uline,
                                   GwyDataLine *target_line);

Computes squared uncertainty of autocorrelation function and stores the values in `target_line`

#### Parameters

data_line | A data line. |
uline | A corresponding uncertainty line. |
target_line | Data line to store the uncertainty of the autocorrelation function to. It will be resized to `data_line` size. |

Since: 2.23

### gwy_data_line_cumulate_uncertainty ()

    void
    gwy_data_line_cumulate_uncertainty (GwyDataLine *uncz_line);

Calculates the uncertainty of a cummulative distribution from the uncertainty of the original distribution.

#### Parameters

uncz_line | The uncertainty data line. |

Since: 2.23

### gwy_data_line_hhcf_uncertainty ()

    void
    gwy_data_line_hhcf_uncertainty (GwyDataLine *data_line,
                                    GwyDataLine *uline,
                                    GwyDataLine *target_line);

Computes uncertainty squared of the height-height correlation function and stores results in `target_line` .

#### Parameters

data_line | A data line. |
uline | A corresponding uncertainty line. |
target_line | Data line to store uncertainty of height-height function to. It will be resized to `data_line` size. |

Since: 2.23